Subject: Re: BCM5704 performance questions.

From: Rick Jones <[email-masked]>
Date: Fri, 10 Jun 2005 14:33:55 -0700

> Have you done any tests with 2 tg3 NICs in a single machine to see if they
> can run at or near line speed (full duplex)?

It isn't just a question of two tg3 NICs in the same box is it?  You are running 
two NICs on the same bus right?  And unless my dimm memory is mistaken, four 
ports on a card with 5704s means two 5704's a bridge chip right?  So, it would 
be two tg3 NICs going through the same bridge chip, not just the same bus or 
same system.  I'd be worrying about DMA latencies on the system and the bridge 
chip, and perhaps the efficiency of the PCI-X bus usage (not sure - is there 
anything in your system's chipset to extract that sort of information?)

What happens when you turn pktgen around/insideout and source packets from the 
bridging system to each of the (two other?) systems?

Since you are bridging, does having CKO enabled really matter?  Mightn't that 
allow the firmware on the 5704(s) to run a triffle faster?  Or does bridging 
already not request CKO (I suppose it might).

Are your interface interrupts distributed across the CPUs?

rick jones